import request from '/@/utils/request';

/**
 * 分页查询工学交替考勤列表
 */
export const fetchList = (query?: any) => {
  return request({
    url: '/stuwork/stuworkstudyalternate/page',
    method: 'get',
    params: query
  });
};

/**
 * 查询考勤记录
 */
export const queryHistoryList = (data: any) => {
  return request({
    url: '/stuwork/workstudyattendance/queryHistoryList',
    method: 'post',
    data
  });
};

/**
 * 提交考勤
 */
export const submitAttendance = (data: any[]) => {
  return request({
    url: '/stuwork/workstudyattendance',
    method: 'post',
    data
  });
};

